/*

 starter1_1.pov
 version 1.1

 2007 Sam Benge

 This is a (new) helper file to precalculate the depth
 map for the stereogram file. It uses a an automatic
 method for determining the depth.

 Dependencies:
  1) POV-Ray 3.6 or above
 
 Suggested command line options:
 +ft +f +a0.1 +am2 +r2

*/

global_settings{
 assumed_gamma 2.2
}

#default{ finish{ambient 1 } }

// The camera. Change as needed (but don't move it left or right!)
camera{ 
 right x*4/3 up y
 location<0,50,-105>
 look_at<0,0,0>
 angle 40
}

// your object here
#declare my_obj=
union{
 sphere{0,20}
 box{<-30,-80,-30>,<30,-20,30> }
 rotate y*35
 translate<4,0,30 >
}

// This pigment acts as a 'z-buffer'.
// It is automatically transformed to fit 'my_obj'.
#declare z_pigment=
pigment{
 planar rotate x*90
 #declare minE=min_extent(my_obj);
 #declare maxE=max_extent(my_obj);
 scale<1,1,(maxE.z-minE.z)>
 translate<0,0,minE.z>
}


//
// this puts the predeclared elements together
union{
 object{my_obj}
 pigment{z_pigment}
}